commit:     7d07f25d36d806874108032c68116261b6d1742a
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Tue Dec  1 23:47:27 2020 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Tue Dec  1 23:53:55 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7d07f25d

dev-lua/lualdap: migrate to lua eclass

Closes: https://bugs.gentoo.org/752648
Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 dev-lua/lualdap/lualdap-1.2.5-r100.ebuild | 88 +++++++++++++++++++++++++++++++
 profiles/package.mask                     |  1 +
 2 files changed, 89 insertions(+)

diff --git a/dev-lua/lualdap/lualdap-1.2.5-r100.ebuild 
b/dev-lua/lualdap/lualdap-1.2.5-r100.ebuild
new file mode 100644
index 00000000000..af582b86b15
--- /dev/null
+++ b/dev-lua/lualdap/lualdap-1.2.5-r100.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+LUA_COMPAT=( lua5-{1..3} luajit )
+
+inherit lua toolchain-funcs
+
+DESCRIPTION="A lua binding for the OpenLDAP client libraries"
+HOMEPAGE="https://github.com/lualdap/lualdap";
+SRC_URI="https://github.com/lualdap/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+REQUIRED_USE="${LUA_REQUIRED_USE}"
+RESTRICT="test"
+
+RDEPEND="
+       net-nds/openldap
+       ${LUA_DEPS}
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       virtual/pkgconfig
+       test? ( ${RDEPEND} )
+"
+
+HTML_DOCS=( "doc/us/." )
+
+src_prepare() {
+       default
+
+       lua_copy_sources
+}
+
+lua_src_compile() {
+       pushd "${BUILD_DIR}" || die
+
+       local myemakeargs=(
+               "CC=$(tc-getCC)"
+               "LBER_LIBDIR=/usr/$(get_libdir)"
+               "LDAP_LIBDIR=/usr/$(get_libdir)"
+               "LUA_INCDIR=$(lua_get_include_dir)"
+       )
+
+       emake "${myemakeargs[@]}"
+
+       popd
+}
+
+src_compile() {
+       lua_foreach_impl lua_src_compile
+}
+
+lua_src_test() {
+       pushd "${BUILD_DIR}" || die
+       LUA_CPATH="./src/?.so" ${ELUA} tests/test.lua
+       popd
+}
+
+src_install() {
+       lua_foreach_impl lua_src_test
+}
+
+lua_src_install() {
+       pushd "${BUILD_DIR}" || die
+
+       # Workaround, as 'make install' does not create this directory
+       dodir "$(lua_get_cmod_dir)"
+
+       local myemakeargs=(
+               "DESTDIR=${ED}"
+               "INST_LIBDIR=$(lua_get_cmod_dir)"
+       )
+
+       emake "${myemakeargs[@]}" install
+
+       popd
+}
+
+src_install() {
+       lua_foreach_impl lua_src_install
+
+       einstalldocs
+}

diff --git a/profiles/package.mask b/profiles/package.mask
index 720531192c0..56e91753356 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -549,6 +549,7 @@ dev-lua/luacrypto
 =dev-lua/luaexpat-1.3.0-r101
 =dev-lua/luaexpat-1.3.3-r101
 >=dev-lua/luafilesystem-1.8.0-r100
+>=dev-lua/lualdap-1.2.5-r100
 >=dev-lua/luajson-1.3.4
 >=dev-lua/luarocks-3.4.0-r100
 >=dev-lua/luasec-0.9-r100

Reply via email to